Bug 21891 - Remove non-XSLT detail view in the staff client
Summary: Remove non-XSLT detail view in the staff client
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: release-notes-needed
Depends on:
Blocks: 12561
  Show dependency treegraph
 
Reported: 2018-11-27 17:00 UTC by Owen Leonard
Modified: 2019-04-16 13:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 21891: Remove non-XSLT detail view in the staff client (12.01 KB, patch)
2019-04-09 18:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21891: Remove non-XSLT detail view in the staff client (12.08 KB, patch)
2019-04-09 20:25 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21891: (follow-up) Update database to set blank values to "default" (1.53 KB, patch)
2019-04-11 11:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21891: (follow-up) Update database to set blank values to "default" (1.59 KB, patch)
2019-04-11 12:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-11-27 17:00:56 UTC
There are no bugs blocking the removal of the non-XSLT detail view in the staff client, so let's do it.
Comment 1 Owen Leonard 2019-04-09 18:35:31 UTC
Created attachment 87664 [details] [review]
Bug 21891: Remove non-XSLT detail view in the staff client

This patch removes the non-XSLT markup from the bibliographic detail
page in the staff client. The XSLTDetailsDisplay preference has
been altered to accommodate this change. A blank value in
XSLTDetailsDisplay will now be equivalent to "default."

To test, apply the patch and set the value of XSLTDetailsDisplay to
either blank or "default."

View the detail page for a bibliographic record in the staff client. The
XSLT view should be shown.
Comment 2 Michal Denar 2019-04-09 20:25:49 UTC
Created attachment 87677 [details] [review]
Bug 21891: Remove non-XSLT detail view in the staff client

This patch removes the non-XSLT markup from the bibliographic detail
page in the staff client. The XSLTDetailsDisplay preference has
been altered to accommodate this change. A blank value in
XSLTDetailsDisplay will now be equivalent to "default."

To test, apply the patch and set the value of XSLTDetailsDisplay to
either blank or "default."

View the detail page for a bibliographic record in the staff client. The
XSLT view should be shown.

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 3 Katrin Fischer 2019-04-10 21:01:26 UTC
Works really well, only one request: Let's set the XSLTDetailsDisplay to default for those that have it empty now. It will advertise the change in the database update then too.

Could we also remove staff results non-XSLT?
Comment 4 Owen Leonard 2019-04-11 11:06:59 UTC
Created attachment 87757 [details] [review]
Bug 21891: (follow-up) Update database to set blank values to "default"

This patch adds a database update which will update any blank values of
the XSLTDetailsDisplay system preference to "default." Although a blank
value will still result in the default XSLT view, it's more consistent
with the other XSLT preferences to use "default."

To test, apply the patch and set the XSLTDetailsDisplay to a blank
value. Run the database update. The value of the XSLTDetailsDisplay
system preference should now be "default."
Comment 5 Katrin Fischer 2019-04-11 12:03:34 UTC
Created attachment 87758 [details] [review]
Bug 21891: (follow-up) Update database to set blank values to "default"

This patch adds a database update which will update any blank values of
the XSLTDetailsDisplay system preference to "default." Although a blank
value will still result in the default XSLT view, it's more consistent
with the other XSLT preferences to use "default."

To test, apply the patch and set the XSLTDetailsDisplay to a blank
value. Run the database update. The value of the XSLTDetailsDisplay
system preference should now be "default."

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-04-12 11:48:24 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-16 13:16:10 UTC
Marking as an enhancement as it's a cleanup piece which 'might' surprise users of the stable branch.

Will not be backported to 18.11.x series.